Sign inGet started

Update allow/block rule

PATCH
/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}
Update Allow/Block rule
Cuerpo de la solicitud
category
string
type
string
value
string
Cuerpo de la respuesta
category
string
obligatorio
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
createdAt
string
obligatorio
createdBy
string
obligatorio
id
string
obligatorio
type
string
obligatorio
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
updatedAt
string
obligatorio
updatedBy
string
obligatorio
value
string
obligatorio
workspaceId
string
obligatorio
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Ejemplo de código
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversation-allowblock-rules" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "category": "domain",
  "value": "test.com",
  "type": "reject"
}'